package com.tykj.dev.device.sendback.service;

import com.tykj.dev.device.sendback.entity.domain.RepelTaskStatistical;

import java.util.List;

public interface RepelTaskStatisticalService {

    /**
     * 添加清退任务统计数据
     */
    RepelTaskStatistical saveRepelTaskStatistical(RepelTaskStatistical repelTaskStatistical);

    /**
     * 根据父类taskId,账单id查询所有的下级任务完成情况
     */
    List<RepelTaskStatistical> findAllRepelTaskStatistical(Integer fatherTaskId,Integer repelId);

    /**
     * 集合添加清退任务统计数据
     */
    void saveAllRepelTaskStatistical(List<RepelTaskStatistical> repelTaskStatisticalList);


    /**
     * 根据taskid，账单id查询对应的数据
     */
    RepelTaskStatistical findRepelTaskStatistical(Integer taskId,Integer repelId);
}
